Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## igeo.gui
Class IPolyline2D.Intersection

    java.lang.Object
      igeo.IParameterObject
          igeo.IVec2
              igeo.gui.IPolyline2D.Intersection

All Implemented Interfaces:
  IEntityParameter, IParameter, ISubobject, IVal, IVec2I, IVec2Op

Enclosing class:
  IPolyline2D

    public static class IPolyline2D.Intersection

extends IVec2

Field Summary
`IVec2` | `adjacent1`
`IVec2` | `adjacent2`
`boolean` | `orthogonal`
`boolean` | `orthogonalDirX`
`IPolyline2D` | `polyline`

Fields inherited from class igeo.IVec2
`x, y`

Fields inherited from class igeo.IParameterObject
`parent`

Constructor Summary
`IPolyline2D.Intersection(IPolyline2D p, IVec2 pt)`
`IPolyline2D.Intersection(IPolyline2D p, IVec2 pt, IVec2 a1, IVec2 a2)`

Method Summary
`void` | `setDirectionX()`
`void` | `setDirectionY()`

Methods inherited from class igeo.IVec2
`add, add, add, add, add, add, add, add, add, add, angle, angle, angle, angle, angle, bisect, bisect, bisect, cp, cp, cp, cp, cp, cross, cross, cross, dif, dif, dif, diff, diff, diff, dist, dist, dist, dist, dist, dist2, dist2, dist2, dist2, dist2, distToLine, distToLine, distToLine, distToSegment, distToTriangle, div, div, div, dot, dot, dot, dot, dot, dup, eq, eq, eq, eq, eq, eq, eq, eq, eq, eq, eqX, eqX, eqX, eqX, eqX, eqX, eqX, eqX, eqX, eqX, eqY, eqY, eqY, eqY, eqY, eqY, eqY, eqY, eqY, eqY, flip, get, getX, getY, intersect, intersectPolygon, intersectPolyline, intersectPolyline, intersectSegment, intersectSegmentAndXLine, intersectSegmentAndYLine, intersectXLine, intersectYLine, isBetween, isInside, isInside, isOnLine, isParallel, isParallel, isStraight, isStraight, isValid, len, len, len, len, len, len2, len2, len2, mid, mid, mid, mirror, mirror, mirror, mirror, mirror, mirror, mul, mul, mul, mv, mv, mv, mv, neg, nml, nml, nml, nml, nml, nml, ortho, perpendicularVecToLine, perpendicularVecToLine, projectTo2Vec, ratioOnSegment, ref, ref, ref, ref, ref, ref, removeDuplicatedPoints, removeStraightPoints, rev, rot, rot, rot, rot, rot, rot, rot, rot, rot, rot, scale, scale, scale, scale, scale, scale, scale1d, scale1d, scale1d, scale1d, scale1d, scale1d, scale1d, scale1d, set, set, set, set, set, set, set, set, shear, shear, shear, shear, sub, sub, sub, sub, sum, sum, sum, sum, sum, sum, sum, sum, sum, sum, to3d, to3d, to3d, to4d, to4d, to4d, toString, transform, transform, transform, transform, transform, transform, translate, translate, translate, translate, unit, x, x, x, x, x, y, y, y, y, y, zero`

Methods inherited from class igeo.IParameterObject
`createObject, parent, parent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### polyline

    public IPolyline2D polyline

### adjacent1

    public IVec2 adjacent1

### adjacent2

    public IVec2 adjacent2

### orthogonal

    public boolean orthogonal

### orthogonalDirX

    public boolean orthogonalDirX

Constructor Detail

### IPolyline2D.Intersection

    public IPolyline2D.Intersection(IPolyline2D p,
                                    IVec2 pt)

### IPolyline2D.Intersection

    public IPolyline2D.Intersection(IPolyline2D p,
                                    IVec2 pt,
                                    IVec2 a1,
                                    IVec2 a2)

Method Detail

### setDirectionX

    public void setDirectionX()

### setDirectionY

    public void setDirectionY()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD